/**************************************************************************

	nirc

	func_msg.c

	Copyright (C) 1996-2002 by Tomoaki Nakashima. All rights reserved.
		http://www.nakka.com/
		nakka@nakka.com

**************************************************************************/

/**************************************************************************
	Include Files
**************************************************************************/

#include <windows.h>
#include <tchar.h>

#include "script/script.h"
#include "script/script_memory.h"
#include "script/script_string.h"
#include "script/script_utility.h"


/**************************************************************************
	Define
**************************************************************************/

/**************************************************************************
	Global Variables
**************************************************************************/

/**************************************************************************
	Local Function Prototypes
**************************************************************************/


/******************************************************************************

	_sfunc_messagebox

	bZ[W{bNX\

******************************************************************************/

int SFUNC _sfunc_messagebox(EXECINFO *ei, VALUEINFO *param, VALUEINFO *ret, char *ErrStr)
{
	HWND hWnd;
	TCHAR *msg;
	TCHAR *title = NULL;
	int style = 0;

	//EBhEnh
	hWnd = (HWND)ei->sci->param1;

	if(param == NULL){
		return -2;
	}
	//bZ[W
	msg = VariableToTString(param);
	if((param = param->next) != NULL){
		//^Cg
		title = VariableToTString(param);
		if((param = param->next) != NULL){
			//X^C
			style = VariableToInt(param);
		}
	}

	//bZ[W{bNX\
	ret->v->u.iValue = MessageBox(hWnd, msg, title, style);
	ret->v->Type = TYPE_INTEGER;

	mem_free(&msg);
	mem_free(&title);
	return 0;
}
/* End of source */
