/**************************************************************************

	ns

	script_utility.h

	Copyright (C) 1996-2002 by Tomoaki Nakashima. All rights reserved.
		http://www.nakka.com/
		nakka@nakka.com

**************************************************************************/

#ifndef SCRIPT_UTILITY_H
#define SCRIPT_UTILITY_H

/**************************************************************************
	Include Files
**************************************************************************/

#include <windows.h>


/**************************************************************************
	Define
**************************************************************************/

/**************************************************************************
	Struct
**************************************************************************/

/**************************************************************************
	Function Prototypes
**************************************************************************/

VALUEINFO *IntToVariable(char *name, const int i);
int VariableToInt(VALUEINFO *vi);
VALUEINFO *StringToVariable(char *name, const char *buf);
VALUEINFO *TStringToVariable(char *name, const TCHAR *buf);
char *VariableToString(VALUEINFO *vi);
TCHAR *VariableToTString(VALUEINFO *vi);
BOOL ByteToHash(EXECINFO *ei, VALUEINFO *pvi, char *buf, int len);
int HashToByte(VALUEINFO *pvi, char **ret);
BOOL VariableToSystemtime(SYSTEMTIME *st, VALUEINFO *param);
BOOL SystemtimeToVariable(const SYSTEMTIME *st, VALUEINFO *ret);
LCID GetLocale(void);
BOOL SetLocale(LCID li);

#endif
/* End of source */
